/*
 * *************************************************
 * Copyright (c) 2019 QMTH. All Rights Reserved.
 * Created by Deason on 2019-05-29 11:31:01.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.core;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.app.core.router.Server;
import cn.com.qmth.examcloud.commons.util.PropertiesUtil;

/**
 * 属性配置服务类
 */
@Component
public class SysProperty {
    @Autowired
    private CloudDiscoveryClient discoveryClient;

    @Value("${$upyun.site.1.domain}")
    private String domain;//又拍云文件服务
    

    public String getProxyUrl(Server server) {
        return discoveryClient.getInstanceUrl(server.getInstanceName());
    }

    public String getCoreBasicUrl() {
        return discoveryClient.getInstanceUrl(Constants.EC_CORE_BASIC);
    }

    public String getCoreExamWorkUrl() {
        return discoveryClient.getInstanceUrl(Constants.EC_CORE_EXAMWORK);
    }

    public String getCoreOeStudentUrl() {
        return discoveryClient.getInstanceUrl(Constants.EC_CORE_OE_STUDENT);
    }

    public String getCoreOeAdminUrl() {
//        return discoveryClient.getInstanceUrl(Constants.EC_CORE_OE_ADMIN);
    	return PropertiesUtil.getString("oe.admin.api.domain"); 
    }

    public String getCoreQuestionUrl() {
//        return discoveryClient.getInstanceUrl(Constants.EC_CORE_QUESTION);
    	return PropertiesUtil.getString("question.api.domain");
    }

    public String getCoreAuthUrl() {
        return discoveryClient.getInstanceUrl(Constants.EC_CORE_BASIC);
    }

    public String getDomain() {
        if (domain != null) {
            return domain.trim();
        }
        return "";
    }

}